%%%%% ps2_question1: automation with growth

clearvars;
close all;

alphas  = (0.25:0.01:0.50)';

rhos    = [0.01,0.03,0.05];

%%%%% parameters

L       = 1;
N       = 1;

delta   = 0.05;

ak      = 0.2;
al      = 0.1;

Z       = zeros(numel(rhos),numel(alphas));
Y       = zeros(numel(rhos),numel(alphas));
K       = zeros(numel(rhos),numel(alphas));
C       = zeros(numel(rhos),numel(alphas));
W       = zeros(numel(rhos),numel(alphas));
check   = zeros(numel(rhos),numel(alphas));

for j=1:numel(rhos)

for i=1:numel(alphas)

I       = (N-1)+alphas(i)*(N-(N-1));

alpha   = I-(N-1);
rho     = rhos(j);

R       = rho+delta;

KY    = alpha/(rho+delta);
CY    = 1 - delta*KY;

Z(i,j)  = ((ak/alpha)^(alpha))*((al/(1-alpha))^(1-alpha));

YL      = (Z(i,j)^(1/(1-alpha)))*(KY^(alpha/(1-alpha)));
Y(i,j)  = YL*L;
K(i,j)  = KY*Y(i,j);
C(i,j)  = CY*Y(i,j);
W(i,j)  = (1-alpha)*YL;

check(i,j) = log(W(i,j)/al) - log(R/ak);


end
end

figure(1)
set(gcf,'DefaultLineLineWidth', 2);
subplot(2,2,1)
plot(alphas,K(:,3),'b-','LineWidth',2)
set(get(gcf,'CurrentAxes'),'FontSize',16,'LineWidth', 1.5)
ylabel('steady state value','Interpreter','latex')
set(gca,'DefaultTextInterpreter', 'latex','TickLabelInterpreter','latex')
t = title('capital, $K$');
set(t,'Interpreter','latex');
axis([0.25 0.5 0 2])

subplot(2,2,2)
plot(alphas,C(:,3),'g-','LineWidth',2)
set(get(gcf,'CurrentAxes'),'FontSize',16,'LineWidth', 1.5)
set(gca,'DefaultTextInterpreter', 'latex','TickLabelInterpreter','latex')
t = title('consumption, $C$');
set(t,'Interpreter','latex');
axis([0.25 0.5 0.1 0.4])

subplot(2,2,3)
plot(alphas,Y(:,3),'m-','LineWidth',2)
set(get(gcf,'CurrentAxes'),'FontSize',16,'LineWidth', 1.5)
xlabel('automation threshold, $I$','Interpreter','latex')
ylabel('steady state value','Interpreter','latex')
set(gca,'DefaultTextInterpreter', 'latex','TickLabelInterpreter','latex')
t = title('output, $Y$');
set(t,'Interpreter','latex');
axis([0.25 0.5 0.1 0.7])

subplot(2,2,4)
plot(alphas,W(:,3),'r-','LineWidth',2)
set(get(gcf,'CurrentAxes'),'FontSize',16,'LineWidth', 1.5)
xlabel('automation threshold, $I$','Interpreter','latex')
set(gca,'DefaultTextInterpreter', 'latex','TickLabelInterpreter','latex')
t = title('real wage, $W$');
set(t,'Interpreter','latex');
axis([0.25 0.5 0.1 0.35])



figure(2)
set(gcf,'DefaultLineLineWidth', 2);
subplot(2,2,1)
plot(alphas,K(:,3),'b-',alphas,K(:,2),'b--',alphas,K(:,1),'b:')
set(get(gcf,'CurrentAxes'),'FontSize',16,'LineWidth', 1.5)
ylabel('steady state value','Interpreter','latex')
set(gca,'DefaultTextInterpreter', 'latex','TickLabelInterpreter','latex')
h = legend('$\beta = 1/1.05$','$\beta = 1/1.03$','$\beta = 1/1.01$','location','Best');
set(h,'Interpreter','latex');
t = title('capital, $K$');
set(t,'Interpreter','latex');
axis([0.25 0.5 0 6])

subplot(2,2,2)
plot(alphas,C(:,3),'g-',alphas,C(:,2),'g--',alphas,C(:,1),'g:')
set(get(gcf,'CurrentAxes'),'FontSize',16,'LineWidth', 1.5)
set(gca,'DefaultTextInterpreter', 'latex','TickLabelInterpreter','latex')
t = title('consumption, $C$');
set(t,'Interpreter','latex');
axis([0.25 0.5 0.1 0.4])

subplot(2,2,3)
plot(alphas,Y(:,3),'m-',alphas,Y(:,2),'m--',alphas,Y(:,1),'m:')
set(get(gcf,'CurrentAxes'),'FontSize',16,'LineWidth', 1.5)
xlabel('automation threshold, $I$','Interpreter','latex')
ylabel('steady state value','Interpreter','latex')
set(gca,'DefaultTextInterpreter', 'latex','TickLabelInterpreter','latex')
t = title('output, $Y$');
set(t,'Interpreter','latex');
axis([0.25 0.5 0.1 0.7])

subplot(2,2,4)
plot(alphas,W(:,3),'r-',alphas,W(:,2),'r--',alphas,W(:,1),'r:')
set(get(gcf,'CurrentAxes'),'FontSize',16,'LineWidth', 1.5)
xlabel('automation threshold, $I$','Interpreter','latex')
set(gca,'DefaultTextInterpreter', 'latex','TickLabelInterpreter','latex')
t = title('real wage, $W$');
set(t,'Interpreter','latex');
axis([0.25 0.5 0.1 0.35])





